<script setup lang="ts">
import { useRoute } from 'vue-router';
import {onMounted} from 'vue';
import {BackendRestJsApiProvider} from 'edsjs-test-pkg-core/';
import {useSignedDoc} from '../../../ui/src/composables'; // fixme: не экспортируется!

const route = useRoute();
const id = Number(route.params.id);
const provider = new BackendRestJsApiProvider();
const {isSignedDocFetching, signedDocFetchError, fetchSignedDoc, signedDoc} = useSignedDoc(provider);

onMounted(() => {
  fetchSignedDoc(id);
})

</script>

<template>
  <CdsContainer>
    <CdsContainerItem v-if="isSignedDocFetching">
      <CdsLoader >Загрузка документа</CdsLoader>
    </CdsContainerItem>
    <CdsContainerItem v-if="signedDocFetchError">При загрузке произошла ошибка: {{ signedDocFetchError }}</CdsContainerItem>
    <CdsContainerItem v-if="signedDoc">
      Данные подписанного документа №{{ id }}
      <ul>
        <li>ID: {{signedDoc.doc_id}}</li>
        <li>UserID: {{ signedDoc.user_id }}</li>
        <li>FirmID: {{signedDoc.firm_id}}</li>
        <li>DocType: {{signedDoc.doc_type}}</li>
        <li>Signature: {{signedDoc.signature}}</li>
        <ul>
          <li v-for="item in signedDoc.signers" :key="item.thumbprint">
            <ul>
              <li>Thumbprint: {{item.thumbprint}}</li>
              <li>SN: {{item.serial_number}}</li>
              <li>Owner: {{item.owner}}</li>
              <li>Issuer: {{item.issuer}}</li>

            </ul>
          </li>
        </ul>
      </ul>
    </CdsContainerItem>
  </CdsContainer>
</template>
